List Social Selling drafts
curl --request GET \
--url https://openapi.enginy.ai/v1/social-selling/drafts \
--header 'x-api-key: <api-key>'import requests
url = "https://openapi.enginy.ai/v1/social-selling/drafts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://openapi.enginy.ai/v1/social-selling/drafts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.enginy.ai/v1/social-selling/drafts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://openapi.enginy.ai/v1/social-selling/drafts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://openapi.enginy.ai/v1/social-selling/drafts")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.enginy.ai/v1/social-selling/drafts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"draftId": 123,
"version": 123,
"status": "DRAFT",
"identity": {
"id": 123,
"name": "<string>"
},
"title": "<string>",
"text": "<string>",
"mentions": [
{
"start": 1,
"length": 2,
"kind": "PROFILE",
"urn": "urn:li:fsd_company:98422414",
"label": "<string>"
}
],
"attachments": [
{
"assetId": "<string>",
"position": 123,
"origin": "POST",
"type": "IMAGE",
"mimeType": "<string>",
"width": 123,
"height": 123,
"sizeBytes": 123,
"durationMs": 123,
"pageCount": 123,
"title": "<string>",
"description": "<string>",
"altText": "<string>",
"altTextSource": "AUTHOR",
"linkUrl": "<string>",
"pollOptions": [
"<string>"
],
"transcript": {
"status": "NOT_COLLECTED"
},
"access": {
"status": "AVAILABLE",
"downloadUrl": "<string>",
"previewUrl": "<string>",
"expiresAt": "<string>",
"durable": true,
"refreshable": true,
"verifiedAt": "<string>",
"reason": "<string>"
},
"source": {
"trackedPostId": 123,
"position": 123,
"credit": "<string>"
}
}
],
"firstComment": "<string>",
"visibility": "ANYONE",
"postAsCompany": true,
"companyUrn": "<string>",
"lineage": {
"sourcePostId": 123,
"sourceDraftId": 123,
"sourceAttribution": "<string>"
},
"planning": {
"series": "<string>",
"pillar": "<string>",
"objective": "<string>",
"audience": "<string>",
"factualSources": [
"<string>"
],
"notes": "<string>"
},
"schedule": {
"publishingPostId": 123,
"scheduledVersion": 123,
"scheduledAt": "<string>",
"timezone": "<string>"
},
"createdById": 123,
"updatedById": 123,
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"meta": {
"page": 123,
"pageSize": 123,
"total": 123
}
}Social Selling
List Social Selling drafts
Lists the workspace’s drafts (newest change first) for the identities the caller may use, filterable by identity, status, series, pillar and source post. Archived drafts are hidden unless asked for. Read-only.
Required scope:
SOCIAL_SELLING_READRate limit: 100 requests per minute
GET
/
v1
/
social-selling
/
drafts
List Social Selling drafts
curl --request GET \
--url https://openapi.enginy.ai/v1/social-selling/drafts \
--header 'x-api-key: <api-key>'import requests
url = "https://openapi.enginy.ai/v1/social-selling/drafts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://openapi.enginy.ai/v1/social-selling/drafts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.enginy.ai/v1/social-selling/drafts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://openapi.enginy.ai/v1/social-selling/drafts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://openapi.enginy.ai/v1/social-selling/drafts")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.enginy.ai/v1/social-selling/drafts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"draftId": 123,
"version": 123,
"status": "DRAFT",
"identity": {
"id": 123,
"name": "<string>"
},
"title": "<string>",
"text": "<string>",
"mentions": [
{
"start": 1,
"length": 2,
"kind": "PROFILE",
"urn": "urn:li:fsd_company:98422414",
"label": "<string>"
}
],
"attachments": [
{
"assetId": "<string>",
"position": 123,
"origin": "POST",
"type": "IMAGE",
"mimeType": "<string>",
"width": 123,
"height": 123,
"sizeBytes": 123,
"durationMs": 123,
"pageCount": 123,
"title": "<string>",
"description": "<string>",
"altText": "<string>",
"altTextSource": "AUTHOR",
"linkUrl": "<string>",
"pollOptions": [
"<string>"
],
"transcript": {
"status": "NOT_COLLECTED"
},
"access": {
"status": "AVAILABLE",
"downloadUrl": "<string>",
"previewUrl": "<string>",
"expiresAt": "<string>",
"durable": true,
"refreshable": true,
"verifiedAt": "<string>",
"reason": "<string>"
},
"source": {
"trackedPostId": 123,
"position": 123,
"credit": "<string>"
}
}
],
"firstComment": "<string>",
"visibility": "ANYONE",
"postAsCompany": true,
"companyUrn": "<string>",
"lineage": {
"sourcePostId": 123,
"sourceDraftId": 123,
"sourceAttribution": "<string>"
},
"planning": {
"series": "<string>",
"pillar": "<string>",
"objective": "<string>",
"audience": "<string>",
"factualSources": [
"<string>"
],
"notes": "<string>"
},
"schedule": {
"publishingPostId": 123,
"scheduledVersion": 123,
"scheduledAt": "<string>",
"timezone": "<string>"
},
"createdById": 123,
"updatedById": 123,
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"meta": {
"page": 123,
"pageSize": 123,
"total": 123
}
}Authorizations
Query Parameters
Minimum array length:
1Comma-separated statuses. Default: every status but ARCHIVED.
Minimum array length:
1Available options:
DRAFT, SCHEDULED, PUBLISHED, FAILED, CANCELLED, ARCHIVED Required string length:
1 - 200Required string length:
1 - 200Only drafts reusing this tracked post.
Required range:
x >= 1Required range:
1 <= x <= 50